Subject: Re: bug#63271: 29.0.90; broken mouse-face

From: Stephen Berman <[email-masked]>
Date: Mon, 08 May 2023 20:47:30 +0200

On Mon, 08 May 2023 21:27:49 +0300 Eli Zaretskii <[email-masked]> wrote:

>> From: Stephen Berman <[email-masked]>
>> Cc: Juri Linkov <[email-masked]>,  [email-masked],  [email-masked]
>> Date: Mon, 08 May 2023 20:20:31 +0200
>>
>> The image that Juri posted (which appears to be from a no-toolkit build)
>> differs from what I see (under Gtk3), which is simply that the
>> problematic strings show no mouse-face highlighting when the mouse
>> pointer moves over them.
>
> mouse-face specifies only the background color, so I'm at a loss how
> could a font affect that.  There's something I'm missing here.  Like
> some corruption of the realized faces or something.
>
> Do you see the same in Emacs 28 and 27?  If some older version doesn't
> show this, any chance of bisecting it?

I cannot reproduce the problematic display in Emacs 28.  I'll see if I
can bisect, but it may take a while.

Steve Berman